package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.Admin;
import com.lightinit.hsdataportal.entity.AdminExample;
import java.util.List;

import com.lightinit.hsdataportal.model.UserPersonalModel;
import org.apache.ibatis.annotations.Param;

public interface AdminMapper {
    long countByExample(AdminExample example);

    int deleteByExample(AdminExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Admin record);

    int insertSelective(Admin record);

    List<Admin> selectByExample(AdminExample example);

    Admin selectByPrimaryKey(Long id);

    Admin selectByUserName(String username);

    int updateByExampleSelective(@Param("record") Admin record, @Param("example") AdminExample example);

    int updateByExample(@Param("record") Admin record, @Param("example") AdminExample example);

    int updateByPrimaryKeySelective(Admin record);

    int updateByPrimaryKey(Admin record);

    UserPersonalModel getAdminBaseInforamtion(@Param("id")Long id);
}